%define ff_epoch 0
%define ff_ver 2.0.0.6

%define _mozillaextpath %{_libdir}/firefox-%{ff_ver}/extensions

Summary: ScribeFire extension for firefox
Name: mozilla-firefox-ext-scribefire
Version: 1.4.1
Release: %mkrel 1
License: GPL
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/1730
Source: https://addons.mozilla.org/en-US/firefox/downloads/file/17670/scribefire-%{version}-fx+fl.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-firefox = %{ff_epoch}:%{ff_ver}

%description
ScribeFire (previously Performancing for Firefox) is a full-featured blog
editor that integrates with your browser and lets you easily post to your blog.
You can drag and drop formatted text from pages you are browsing, take notes,
and post to your blog.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_mozillaextpath}/*


%changelog
* Wed Aug 01 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.4.1-1mdv2008.0
+ Revision: 57665
- Building for FF 2.0.0.6
- Import mozilla-firefox-ext-scribefire

